<p dir="ltr">I only checked this build:<br>
<a href="https://secure.travis-ci.org/#!/certik/numpy/jobs/3656960">https://secure.travis-ci.org/#!/certik/numpy/jobs/3656960</a><br>
But that log clearly shows &#39;python setup.py install&#39; being used instead of &#39;pip install&#39;. How certain are you that your branch actually has my fix?<br>
-n</p>
<div class="gmail_quote">On 14 Dec 2012 03:49, &quot;Ondřej Čertík&quot; &lt;<a href="mailto:ondrej.certik@gmail.com">ondrej.certik@gmail.com</a>&gt; wrote:<br type="attribution"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
On Thu, Dec 13, 2012 at 7:16 PM, Charles R Harris<br>
&lt;<a href="mailto:charlesr.harris@gmail.com">charlesr.harris@gmail.com</a>&gt; wrote:<br>
&gt;<br>
&gt;<br>
&gt; On Thu, Dec 13, 2012 at 8:04 PM, Charles R Harris<br>
&gt; &lt;<a href="mailto:charlesr.harris@gmail.com">charlesr.harris@gmail.com</a>&gt; wrote:<br>
&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt; On Thu, Dec 13, 2012 at 7:23 PM, Ondřej Čertík &lt;<a href="mailto:ondrej.certik@gmail.com">ondrej.certik@gmail.com</a>&gt;<br>
&gt;&gt; wrote:<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; Hi,<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; Another weird bug sometimes happen in<br>
&gt;&gt;&gt; numpy/core/tests/test_iterator.py, it looks like this:<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; ======================================================================<br>
&gt;&gt;&gt; FAIL: test_iterator.test_iter_array_cast<br>
&gt;&gt;&gt; ----------------------------------------------------------------------<br>
&gt;&gt;&gt; Traceback (most recent call last):<br>
&gt;&gt;&gt;   File<br>
&gt;&gt;&gt; &quot;/home/travis/virtualenv/python2.5/lib/python2.5/site-packages/nose/case.py&quot;,<br>
&gt;&gt;&gt; line 197, in runTest<br>
&gt;&gt;&gt;     self.test(*self.arg)<br>
&gt;&gt;&gt;   File<br>
&gt;&gt;&gt; &quot;/home/travis/virtualenv/python2.5/lib/python2.5/site-packages/numpy/core/tests/test_iterator.py&quot;,<br>
&gt;&gt;&gt; line 836, in test_iter_array_cast<br>
&gt;&gt;&gt;     assert_equal(i.operands[0].strides, (-96,8,-32))<br>
&gt;&gt;&gt;   File<br>
&gt;&gt;&gt; &quot;/home/travis/virtualenv/python2.5/lib/python2.5/site-packages/numpy/testing/utils.py&quot;,<br>
&gt;&gt;&gt; line 252, in assert_equal<br>
&gt;&gt;&gt;     assert_equal(actual[k], desired[k], &#39;item=%r\n%s&#39; % (k,err_msg),<br>
&gt;&gt;&gt; verbose)<br>
&gt;&gt;&gt;   File<br>
&gt;&gt;&gt; &quot;/home/travis/virtualenv/python2.5/lib/python2.5/site-packages/numpy/testing/utils.py&quot;,<br>
&gt;&gt;&gt; line 314, in assert_equal<br>
&gt;&gt;&gt;     raise AssertionError(msg)<br>
&gt;&gt;&gt; AssertionError:<br>
&gt;&gt;&gt; Items are not equal:<br>
&gt;&gt;&gt; item=0<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt;  ACTUAL: 96<br>
&gt;&gt;&gt;  DESIRED: -96<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; ----------------------------------------------------------------------<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; But the problem is that there is no numpy/core/tests/test_iterator.py<br>
&gt;&gt;&gt; file in current branches.... This error was triggered for example by<br>
&gt;&gt;&gt; these PRs:<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; <a href="https://github.com/numpy/numpy/pull/2765" target="_blank">https://github.com/numpy/numpy/pull/2765</a><br>
&gt;&gt;&gt; <a href="https://github.com/numpy/numpy/pull/2815" target="_blank">https://github.com/numpy/numpy/pull/2815</a><br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; and here are links to the failing Travis tests:<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; <a href="https://travis-ci.org/certik/numpy/builds/3656959" target="_blank">https://travis-ci.org/certik/numpy/builds/3656959</a><br>
&gt;&gt;&gt; <a href="https://travis-ci.org/numpy/numpy/builds/3330234" target="_blank">https://travis-ci.org/numpy/numpy/builds/3330234</a><br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt;<br>
&gt;&gt;&gt; Any idea what is happening here and how to fix it?<br>
&gt;&gt;&gt;<br>
&gt;&gt;<br>
&gt;&gt; That should have been fixed by Nathaniel&#39;s travis fix. Hmm...<br>
&gt;&gt;<br>
&gt;<br>
&gt; And a quick check here shows pip not removing a previous 1.6.2 install.<br>
&gt; Maybe it is a pip version problem, pip 1.0.2 here.<br>
<br>
That&#39;s what I thought as well. I think we need to update the Travis<br>
script to manually remove the installed numpy.<br>
<br>
Btw, Travis seems to be using pip 1.2.1, at least according to:<br>
<br>
<a href="https://travis-ci.org/numpy/numpy/jobs/3330236" target="_blank">https://travis-ci.org/numpy/numpy/jobs/3330236</a><br>
<br>
Ondrej<br>
_______________________________________________<br>
NumPy-Discussion mailing list<br>
<a href="mailto:NumPy-Discussion@scipy.org">NumPy-Discussion@scipy.org</a><br>
<a href="http://mail.scipy.org/mailman/listinfo/numpy-discussion" target="_blank">http://mail.scipy.org/mailman/listinfo/numpy-discussion</a><br>
</blockquote></div>